services:
  whoami:
    image: traefik/whoami:${WHOAMI_TAG}
    restart: always
    environment:
      - TZ=${TZ}
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=traefik"
    # Serve HTTP only
      - "traefik.http.routers.${WHOAMI_TRAEFIK}.entrypoints=http"
      - "traefik.http.routers.${WHOAMI_TRAEFIK}.rule=Host(`${WHOAMI_DOMAIN}`)"
      - "traefik.http.services.${WHOAMI_TRAEFIK}.loadbalancer.server.port=80"
    # Serve all subdomains
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.entrypoints=http"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.rule=HostRegexp(`${WHOAMI_DOMAIN}`,`{subdomain:[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?}.${WHOAMI_DOMAIN}`)"
      #- "traefik.http.services.${WHOAMI_TRAEFIK}.loadbalancer.server.port=80"
    # Serve HTTPS only
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.entrypoints=https"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.rule=Host(`${WHOAMI_DOMAIN}`)"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.tls.certresolver=http-challenge"
      #- "traefik.http.services.${WHOAMI_TRAEFIK}.loadbalancer.server.port=80"
    # Redirect HTTP to HTTPS
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-redirect-scheme.redirectscheme.permanent=true"
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-redirect-scheme.redirectscheme.scheme=https"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.entrypoints=http"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.rule=Host(`${WHOAMI_DOMAIN}`)"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.middlewares=${WHOAMI_TRAEFIK}-redirect-scheme"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.entrypoints=https"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.rule=Host(`${WHOAMI_DOMAIN}`)"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.tls.certresolver=http-challenge"
      #- "traefik.http.services.${WHOAMI_TRAEFIK}.loadbalancer.server.port=80"
    # Redirect to HTTPS and serve only to whitelisted addresses
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-redirect-scheme.redirectscheme.permanent=true"
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-redirect-scheme.redirectscheme.scheme=https"
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-whitelist.ipwhitelist.sourcerange=${WHOAMI_WHITELIST}"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.entrypoints=http"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.rule=Host(`${WHOAMI_DOMAIN}`)"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.middlewares=${WHOAMI_TRAEFIK}-redirect-scheme"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.entrypoints=https"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.rule=Host(`${WHOAMI_DOMAIN}`)"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.middlewares=${WHOAMI_TRAEFIK}-whitelist"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.tls.certresolver=http-challenge"
      #- "traefik.http.services.${WHOAMI_TRAEFIK}.loadbalancer.server.port=80"
    # Redirect to HTTPS and then redirect SAN
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-redirect-scheme.redirectscheme.permanent=true"
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-redirect-scheme.redirectscheme.scheme=https"
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-redirect-domain.redirectregex.regex=(http|https)://${WHOAMI_DOMAIN_SAN}/(.*)"
      #- "traefik.http.middlewares.${WHOAMI_TRAEFIK}-redirect-domain.redirectregex.replacement=$${1}://${WHOAMI_DOMAIN}/$${2}"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.entrypoints=http"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.rule=Host(`${WHOAMI_DOMAIN}`,`${WHOAMI_DOMAIN_SAN}`)"
      #- "traefik.http.routers.${WHOAMI_TRAEFIK}.middlewares=${WHOAMI_TRAEFIK}-redirect-scheme"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.entrypoints=https"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.rule=Host(`${WHOAMI_DOMAIN}`,`${WHOAMI_DOMAIN_SAN}`)"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.middlewares=${WHOAMI_TRAEFIK}-redirect-domain"
      #- "traefik.http.routers.secure-${WHOAMI_TRAEFIK}.tls.certresolver=http-challenge"
      #- "traefik.http.services.${WHOAMI_TRAEFIK}.loadbalancer.server.port=80"
    networks:
      - traefik
networks:
  traefik:
    name: traefik
    external: true
